Bug 125160 - screaming interrupt, tg3 and usb_hcd
screaming interrupt, tg3 and usb_hcd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 05:26 EDT by Daniel Hammer
Modified: 2015-01-04 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Hammer 2004-06-03 05:26:35 EDT
Description of problem:

Installed FC2 on a system where RH9 did run 2 years absolutely safe on
absolutely the same hardware.
Selinux install did no work (could not login as root, lots of avc
messages). Normal install worked, but after some time both network
cards are no longer available with the following output to console and
/var/log/messages:

Jun  1 21:52:35 haganah kernel: irq 12: nobody cared! (screaming
interrupt?)
Jun  1 21:52:35 haganah kernel: Stack pointer is garbage, not printing
trace
Jun  1 21:52:35 haganah kernel: handlers:
Jun  1 21:52:35 haganah kernel: [<02217668>] (usb_hcd_irq+0x0/0x4b)
Jun  1 21:52:35 haganah kernel: [<229abae6>] (tg3_interrupt+0x0/0xe8
[tg3])
Jun  1 21:52:35 haganah kernel: [<229abae6>] (tg3_interrupt+0x0/0xe8
[tg3])
Jun  1 21:52:35 haganah kernel: Disabling IRQ #12

I disabeled USB, but the system is loosing its network connection
again after some time, since both network cards crash again with:


Jun  3 10:45:22 haganah kernel: irq 12: nobody cared! (screaming
interrupt?)
Jun  3 10:45:22 haganah kernel:  [<021070c2>] __report_bad_irq+0x2b/0x67
Jun  3 10:45:22 haganah kernel:  [<0210715a>] note_interrupt+0x43/0x66
Jun  3 10:45:22 haganah kernel:  [<02107320>] do_IRQ+0x109/0x169
Jun  3 10:45:22 haganah kernel:  [<0223007b>] sys_accept+0x102/0x12f
Jun  3 10:45:22 haganah kernel:  [<0211ad48>] __do_softirq+0x2c/0x73
Jun  3 10:45:22 haganah kernel:  [<021078ee>] do_softirq+0x46/0x4d
Jun  3 10:45:22 haganah kernel:  =======================
Jun  3 10:45:22 haganah kernel:  [<02107374>] do_IRQ+0x15d/0x169
Jun  3 10:45:22 haganah kernel:  [<0210403b>] default_idle+0x23/0x26
Jun  3 10:45:22 haganah kernel:  [<02112590>] apm_cpu_idle+0xe4/0x121
Jun  3 10:45:22 haganah kernel:  [<0210408c>] cpu_idle+0x1f/0x34
Jun  3 10:45:22 haganah kernel:  [<0231851b>] start_kernel+0x178/0x17a
Jun  3 10:45:22 haganah kernel:
Jun  3 10:45:22 haganah kernel: handlers:
Jun  3 10:45:22 haganah kernel: [<22991b27>] (tg3_interrupt+0x0/0xf3
[tg3])
Jun  3 10:45:22 haganah kernel: [<22991b27>] (tg3_interrupt+0x0/0xf3
[tg3])
Jun  3 10:45:22 haganah kernel: Disabling IRQ #12

The same ethernet controller (Syskonnect - Schneider & Koch - SK-9Dxx
Gigabit Ethernet Adapter works on a second system with FC2 without any
complains.

Version-Release number of selected component (if applicable):
kernel 2.6.5-6

How reproducible:
Always

Steps to Reproduce:
1. install new system (e.g. minimal install)
2. wait some time (=< 24h)

Actual Results:  No network connection since both cards crashed.
Comment 1 Arjan van de Ven 2004-06-03 05:30:17 EDT
do you happen to have USB legacy emulation enabled in the bios?
(because irq12 might point to some ps/2 interaction)
Comment 2 Daniel Hammer 2004-06-03 06:24:18 EDT
USB legacy support was disabled, now I've set it to "all devices"
(other possible settings are "no mice"). Right?
Comment 3 Daniel Hammer 2004-06-03 07:26:58 EDT
Now IRQ setting has slightly changed, has this something to do with
the changed BIOS USB setting? I have BTW reenabled USB in BIOS.

cat /proc/interrupts (with disabled USB legacy support)
           CPU0
  0:     355254          XT-PIC  timer
  1:        573          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  8:          1          XT-PIC  rtc
 11:       4868          XT-PIC  eth0
 12:       2338          XT-PIC  eth1
 14:       7195          XT-PIC  ide0
 15:        488          XT-PIC  ide1
NMI:          0
ERR:          0

... now (with enabled USB legacy support):

#cat /proc/interrupts
           CPU0
  0:     381900          XT-PIC  timer
  1:          8          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  8:          1          XT-PIC  rtc
 10:      20876          XT-PIC  eth0
 11:      19644          XT-PIC  eth1
 14:       3659          XT-PIC  ide0
 15:        488          XT-PIC  ide1
NMI:          0
ERR:          0
Comment 4 Alan Cox 2004-06-19 08:06:52 EDT
The other thing to try is booting with acpi=off. And report if that helps
Comment 6 Daniel Hammer 2004-06-21 03:37:47 EDT
I tried this, but it had (unfortunately) no impact to this matter;
the machine crashed again after a couple of hours.
But, ... the whole problem disappeared completely after doing the
following things:
 o enabling USB in BIOS
 o giving full BIOS USB legacy support
 o changing both network adapters to Intel 82545GM Gigabit Ethernet
Controller (rev 04)

The latter use e1000 kernel modul. The machine is now "problem free"
since then (2004-06-03).

Also a second machine with the same hardware and BIOS settings runs
without any complains beginning from install since 2 weeks.

Maybe I've changed too much to verify now what exactly caused the 
problem; sorry but had no other chance. ;-)
Maybe we could close this bug report.
Comment 7 Alan Cox 2004-06-21 06:37:33 EDT
Thanks for the experimenting
Comment 8 Marc Giger 2004-06-24 09:37:41 EDT
Hi Alan
Hi Arjan

I have exactly the same problem with the tg3 driver.

irq 5: nobody cared! (screaming interrupt?)
Jun 24 15:10:10 s18050 kernel: Stack pointer is garbage, not printing
trace
Jun 24 15:10:10 s18050 kernel: handlers:
Jun 24 15:10:10 s18050 kernel: [<428868a5>] (ahc_linux_isr+0x0/0x1ec
[aic7xxx])
Jun 24 15:10:10 s18050 kernel: [<42a2cb27>] (tg3_interrupt+0x0/0xf3 [tg3])
Jun 24 15:10:10 s18050 kernel: Disabling IRQ #5

           CPU0
  0:    1022772          XT-PIC  timer
  1:         10          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  5:      49867          XT-PIC  aic7xxx, eth1
  8:          1          XT-PIC  rtc
  9:          0          XT-PIC  acpi
 10:      11972          XT-PIC  aic7xxx, aic7xxx
 11:         30          XT-PIC  aic7xxx
 14:         45          XT-PIC  ide0
NMI:          0
ERR:          0

Thanks

Marc

gigerstyle@gmx.ch
Comment 9 Marc Giger 2004-06-24 09:49:54 EDT
I forgot to mention the kernel version:

2.6.6-1.435
Comment 10 Hrunting Johnson 2004-08-18 18:55:47 EDT
I have a Dell 6650 with the onboard NICs as well and I get this same
problem trying to install the system with the FC2 installer.  We're
using kernel 2.6.7-1.494.2.2 to do this.
Comment 11 David Juran 2004-08-27 04:47:05 EDT
I see this on a machine with the kernel-smp-2.6.8-1.521 and the ASUS
CUV4X-D motherboard as well
Comment 12 Dave Jones 2005-04-16 01:55:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.